Scientific Linux Security Update : yum on SL5.x i386/x86_64

High Nessus Plugin ID 60616


The remote Scientific Linux host is missing a security update.


This updated yum package fixes the following bugs :

- The nightly yum.cron will spew out alot of information during the add-ons section. The logging level for these information messages was turned up so that it doesn't happen during yum.cron

- The kernel-module plugin now detects when yum has chosen a kernel-module for a kernel not installed. It will put the correct kernel-module on the list to be installed, and remove the poorly choosen kernel-module from the installation list.

For SL 50 and 51 machines the following features have been added

- installonlyn is not a plugin but built into yum. To turn this feature off, put the following line in /etc/yum.conf installonly_limit = 0

The following default setting has been changed

- installonlyn defaults to 4 instead of 3


Update the affected yum package.

See Also

Plugin Details

Severity: High

ID: 60616

File Name: sl_20090714_yum_on_SL5_x.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2012/08/01

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2009/07/14